Subject: Clarification on DAV server enforcing locks for PUT

From: "Steve K Speicher" <[email-masked]>
Date: Tue, 27 Feb 2001 07:41:47 -0500

In reading RFC2518 section 6.7 "Usage Considerations", I think I'm reading
conflicting statements:

Paragraph 4 reads: "...it cannot force all clients to use locking because
it must be comparatible with HTTP clients that don't comprehend locking"
Paragraph 5 reads: "WebDAV servers that support locking can reduce the
likelihood that clients will accidentally overwrite each other's changes by
requireing clients to lock resource before modifying them..."

So can (or should) a DAV server enforce locking?

Thanks,
Steve Speicher
(919) 254-0645
[email-masked]

---

From: "Jim Amsden" <[email-masked]>
Date: Tue, 27 Feb 2001 07:52:53 -0500

Steve,
There's no contradiction here. The first sentence says a WebDAV server
can't require all clients to use locking. The second one says that if a
resource is locked, then updates that don't include the lock token must
fail. That doesn't mean that clients issuing update requests without a lock
token will succeed on these locked resources, only that they may succeed on
unlocked resources.

                    "Steve K                                                                                
                    Speicher"            To:     [email-masked]                                       
                    <[email-masked]       cc:                                                                
                    bm.com>              Subject:     Clarification on DAV server enforcing locks for PUT   
                                                                                                            
                    02/27/2001                                                                              
                    07:41 AM                                                                                

Thanks,
Steve Speicher
(919) 254-0645
[email-masked]